QGIS Application - Bug report #3076
OSM plugin: python error clicking on "load OSM from file"
2010-10-03 03:49 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13136
Description

This happens on trunk under Ubuntu 10.04. Under trunk/osgeo4w does not seems to happen:

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/osm/OsmPlugin.py”, line 199, in loadOsmFromFile
self.dlgLoad=OsmLoadDIg(self)
File "/usr/share/qgis/python/plugins/osm/OsmLoadDIg.py", line 57, in +init+
item.setFlags( Qt.ltemlsSelectable | Qt.ltemIsUserCheckable | Qt.ltemIsEnabled)
[[AttributeError]]: 'module’ object has no attribute 'ltemlisSelectable’

History

#1 - 2010-10-03 04:00 PM - Borys Jurgiel

It's caused by the line 19: from [[PyQt]]4 import *

<class 'PyQt4.QtCore.Qt'>

<module 'PyQt4.Qt' from '/usr/lib/pymodules/python2.6/PyQt4/Qt.so'>

from [[PyQt]]4.QtCore import *
Qt

from [[PyQt]]4 import *
Qt

Is this import used anywhere at all?

#2 - 2010-10-05 05:02 AM - Giovanni Manghi

the same message shows when clicking on "download" in the "download osm data" dialog.

#3 - 2010-10-05 05:21 AM - Giovanni Manghi

works fine under trunk/osgeo4w
#4 - 2010-10-17 02:11 AM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

Just recompiled from source and this error seems to be gone.
